## PetApi

This is the PetApi API

## getPetById

Returns a pet based on ID

### URL

`http://petstore.swagger.wordnik.com/api/pet/{petId}`

### HTTP Method

`GET`

### Response Type

Pet

### Parameters

petId : long (path)

ID of pet that needs to be fetched

## deletePet

### URL

`http://petstore.swagger.wordnik.com/api/pet/{petId}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

petId : string (path)

Pet id to delete

## partialUpdate

### URL

`http://petstore.swagger.wordnik.com/api/pet/{petId}`

### HTTP Method

`PATCH`

### Response Type

Array[Pet]

### Parameters

petId : string (path)

ID of pet that needs to be fetched

body :
Pet (body)

Pet object that needs to be added to the store

## updatePetWithForm

### URL

`http://petstore.swagger.wordnik.com/api/pet/{petId}`

### HTTP Method

`POST`

### Response Type

### Parameters

petId : string (path)

ID of pet that needs to be updated

name : string (form)
optional

Updated name of the pet

status : string (form)
optional

Updated status of the pet

## uploadFile

### URL

`http://petstore.swagger.wordnik.com/api/pet/uploadImage`

### HTTP Method

`POST`

### Response Type

### Parameters

additionalMetadata : string (form)
optional

Additional data to pass to server

body :
File (body)
optional

file to upload

## addPet

### URL

`http://petstore.swagger.wordnik.com/api/pet`

### HTTP Method

`POST`

### Response Type

### Parameters

body :
Pet (body)

Pet object that needs to be added to the store

## updatePet

### URL

`http://petstore.swagger.wordnik.com/api/pet`

### HTTP Method

`PUT`

### Response Type

### Parameters

body :
Pet (body)

Pet object that needs to be updated in the store

## findPetsByStatus

Multiple status values can be provided with comma seperated strings

### URL

`http://petstore.swagger.wordnik.com/api/pet/findByStatus`

### HTTP Method

`GET`

### Response Type

Array[Pet]

### Parameters

status : string (query)

Status values that need to be considered for filter

## findPetsByTags

Muliple tags can be provided with comma seperated strings. Use tag1, tag2, tag3 for testing.

### URL

`http://petstore.swagger.wordnik.com/api/pet/findByTags`

### HTTP Method

`GET`

### Response Type

Array[Pet]

### Parameters

tags : string (query)

Tags to filter by